ITSM 6.3.2 and IMAP/SSL

ITSM — Jeff Eske on October 20, 2011 at 1:34 pm

Found out that the email listener in FrontRange ITSM 6.3.2 doesn’t work with IMAP over SSL.  There is evidently something buggy about FSMTService.exe.  I was able to get a hotfix from FRS that was basically just a fixed version of FSMTservice, and it solved the problem.  What I was getting originally were errors like:

“Error occured while connecting to the email server. Reason: NO Logon failure: account currently disabled. ”

and

“Error occured while connecting to the email server. Reason: NO The parameter is incorrect.”

and

“Error occured while connecting to the email server. Reason: NO The referenced account is currently locked out and may not be logged on to.”

After it would throw some errors, FSMT would crash.  You could restart FSMT and it would work for a minute, throw errors, then crash again.  The fact that there were multiple different errors made it harder to track down.  Eventually the Support Tech was able to find a Knowledge Base (KB) article in their system that described a different error with IMAP/SSL, but we decided to give it a try and see if it solved my issue.  Lo and behold, it did!

Evidently, the issue is fixed in ITSM 3.6.4, but the hotfix will fix older versions.

Original 6.3.2 version of FSMT: 6.0.1001.811

Fixed version of FSMT: 6.3.1001.913

2 Comments

  1. Did this occur after an exchange migration/update or that you had upgraded ITSM versions? We have something very similar and we cannot get a straight answer from FrontRange. They first told us that ITSM v6 (we are on 6.3.4) is not compatible after our Exchange Upgrade from 2003 to 2010, then they retracted that statement saying it doesn’t officially say that it is or isn’t supported anywhere but they know people have got it working in the past and are taking a really hands off approach with supporting us… I’ve actually given them a link to this post asking if this is related and it was ignored several times.

    sorry for venting… any info you can provide would be of great assistance!

    Comment by Roy H — February 22, 2013 @ 9:51 am
  2. Roy,

    That’s exactly when ours happened – we were moving from Exchange 2003 to 2010. It’s been a while, but I believe the issue resulted from the SysAdmins allowing ONLY IMAP/SSL. It took A LOT of support calls before I finally hit on a tech that was willing to stick with it until we were able to solve the problem. Support (or lack thereof) is a big reason that we’re looking to drop FrontRange ITSM altogether.

    Jeff

    Comment by Jeff Eske — February 22, 2013 @ 3:18 pm

RSS feed for comments on this post.

Sorry, the comment form is closed at this time.

This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 2.5 License. | Jeff's Blog